Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Name:           jcharts
Version:        0.7.5
Release:        alt2_4jpp6
Epoch:          0
Summary:        Charting utility
Group:          Development/Java
License:        BSD
URL:            http://jcharts.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/jcharts/jCharts-0.7.5.zip
Requires: xmlgraphics-batik
Requires: servlet_2_3_api
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: xmlgraphics-batik
BuildRequires: servlet_2_3_api
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
Source44: import.info

%description
jCharts is a 100%% Java based charting utility that outputs 
a variety of charts. This package has been designed from 
the ground up by volunteers for displaying charts via 
Servlets, JSP's, and Swing apps.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n jCharts-%{version}
find . -name "*.jar" | xargs -t rm

pushd lib
ln -sf $(build-classpath xmlgraphics-batik/awt-util) batik-awt-util.jar
ln -sf $(build-classpath xmlgraphics-batik/dom) batik-dom.jar
ln -sf $(build-classpath xmlgraphics-batik/svggen) batik-svggen.jar
ln -sf $(build-classpath xmlgraphics-batik/util) batik-util.jar
ln -sf $(build-classpath xmlgraphics-batik/xml) batik-xml.jar
popd

perl -pi -e 's/\r$//g' docs/*.txt

%build
export CLASSPATH=$(build-classpath servlet_2_3_api)
export OPT_JAR_LIST=:
cd build
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dant.build.javac.source=1.4 -Dbuild.sysclasspath=first jar javadocs

%install
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 build/jCharts-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%files
%doc docs/*
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Oct 23 2010 Igor Vlasenko <viy@altlinux.ru> 0:0.7.5-alt2_4jpp6
- add documentation

* Sat Oct 18 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.7.5-alt2_2jpp5
- fixed build with java 5

* Fri Jun 08 2007 Igor Vlasenko <viy@altlinux.ru> 0:0.7.5-alt1_2jpp1.7
- converted from JPackage by jppimport script

